% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/run_soft_cal.R
\name{run_softcal_cropyield}
\alias{run_softcal_cropyield}
\title{Runs the SWAT+ soft-calibration routine for ....}
\usage{
run_softcal_cropyield(
  project_path,
  crop_yields,
  start_date = NULL,
  end_date = NULL,
  years_skip = NULL,
  keep_folder = FALSE
)
}
\arguments{
\item{project_path}{Path to the SWAT+ project folder (i.e. TxtInOut).}

\item{crop_yields}{Named vector, where the name is the crop name and the
value defines the dry mass yield of the crop in t/ha.}

\item{start_date}{(optional) Start date of the SWAT simulation. Provided as
character string in any ymd format (e.g. 'yyyy-mm-dd'), numeric value
in the form yyyymmdd, or in Date format.}

\item{end_date}{(optional) End date of the SWAT simulation. Provided as
character string in any ymd format (e.g. 'yyyy-mm-dd'), numeric value
in the form yyyymmdd, or in Date format.}

\item{years_skip}{(optional) Integer value to define the number of simulation
years that are skipped before writing SWAT model outputs.}

\item{keep_folder}{(optional) If \code{keep_folder = TRUE}
'.model_run/verification' is kept and not deleted after finishing model runs.
In this case '.model_run' is reused in a new model run if \code{refresh = FALSE}.
\code{Default = FALSE}}
}
\value{
Returns the simulation results for the soft calibration routine as a
  tibble.
}
\description{
\code{run_softcal_cropyield} executes the SWAT+ soft calibration
routine to adjust the .... of a SWAT+ model setup.
}
\details{
The user can specify the \code{crop_names} and the
\code{crop_yields} of the simulated watershed. Based on the provided
crops the routine adjusts the respective model parameters to improve
the fit of......
}
